Support » Plugin: WooCommerce Shipment Tracking Plugin » causing problem with WooCommerce 3.0

  • Resolved Jerry Nairn

    (@jerry-nairn)


    Hi

    we have updated to Woocommerce 3.0 and this is the Error we get

    Uncaught Exception: Invalid order. in /home/i..2/public_html/wp-content/plugins/woocommerce/includes/data-stores/abstract-wc-order-data-store-cpt.php:86 Stack trace: #0 /home/i….2/public_html/wp-content/plugins/woocommerce/includes/class-wc-data-store.php(143): Abstract_WC_Order_Data_Store_CPT->read(Object(WC_Order)) #1 /home/i….2/public_html/wp-content/plugins/woocommerce/includes/abstracts/abstract-wc-order.php(109): WC_Data_Store->read(Object(WC_Order)) #2 /home/i…2/public_html/wp-content/plugins/woo-shipment-tracking-order-tracking/includes/class-wf-tracking-admin.php(280): WC_Abstract_Order->__construct(‘5133’) #3 /home/i….2/public_html/wp-content/plugins/woo-shipment-tracking-order-tracking/includes/class-wf-tracking-admin.php(149): WF_Tracking_Admin->wf_load_order(‘5133’) #4 /home/i….2/public_html/wp-includes/class-wp-hook.php(300): WF_Tracking_Admin->wf_add_tracking_metabox(‘product’) #5 /home/i…2/public_html/wp-includes/class-wp-hook.php(323): WP_Hook->apply_filters(NULL in /home/i…2/public_html/wp-content/plugins/woocommerce/includes/data-stores/abstract-wc-order-data-store-cpt.php on line 86

    We have been advised that this is caused by this plugin. Are you planning an upgrade?

Viewing 15 replies - 1 through 15 (of 22 total)
  • @jerry-nairn,

    Please don’t worry, We will update the plugin very soon.

    I’m also experiencing this issue and am waiting on a solution. Thanks!

    I manually updated the plugins via ftp and it resolved this issue for me!

    I got the same problem
    Fatal error: Uncaught exception ‘Exception’ with message ‘מפתח לא תקין’ in /home/regevgutma/domains/regevgutman.co.il/public_html/wp-content/plugins/woocommerce/includes/data-stores/abstract-wc-order-data-store-cpt.php:86 Stack trace: #0 /home/regevgutma/domains/regevgutman.co.il/public_html/wp-content/plugins/woocommerce/includes/class-wc-data-store.php(143): Abstract_WC_Order_Data_Store_CPT->read(Object(WC_Order)) #1 /home/regevgutma/domains/regevgutman.co.il/public_html/wp-content/plugins/woocommerce/includes/abstracts/abstract-wc-order.php(109): WC_Data_Store->read(Object(WC_Order)) #2 /home/regevgutma/domains/regevgutman.co.il/public_html/wp-content/themes/academy/framework/classes/themex.woo.php(216): WC_Abstract_Order->__construct(8720) #3 /home/regevgutma/domains/regevgutman.co.il/public_html/wp-content/themes/academy/woocommerce/checkout/form-checkout.php(8): ThemexWoo::getRelatedPost(8720, Array, true) #4 /home/regevgutma/domains/regevgutman.co.il/public_html/wp-content/plugins/woocommerce/includes/wc- in /home/regevgutma/domains/regevgutman.co.il/public_html/wp-content/plugins/woocommerce/includes/data-stores/abstract-wc-order-data-store-cpt.php on line 86

    I tried to manually updated the plugin but it didn’t work

    We have updated the plugin. Now it is compatible with WC 3.0. Please download the latest version 1.0.2

    Thank you for updating the plugin. Reinstalled and now working perfectly with WooCommerce 3.0

    • This reply was modified 2 years, 8 months ago by Jerry Nairn.

    Hi @niwf
    Is this update available in the free version for immediate download/update?

    Thanks in advance.

    Hello @niwf: I am having the same problem with this plugin and this recent WC update. Can you please email me update also. Thank you so much.

    hI

    Go here

    https://wordpress.org/plugins/woo-shipment-tracking-order-tracking/advanced/

    down the bottom on left hand side under download history and under Previous Versions you’ll see a download button. click on it and you’ll see the Version 1.0.2 available for download.

    Hope it helps

    We have fixed the version number issue. Now you can update the plugins directly from plugin page.

    Hi @niwf I’m having a similar problem, however, the site does not have the WooCommerce Shipment Tracking Plugin. I believe instead that the error is caused by Stamps.com WooCommerce Extension (v 1.4.9). Please advise. Thanks.
    Fatal error: Uncaught exception ‘Exception’ with message ‘Invalid order.’ in /home/content/p3pnexwpnas06_data02/93/3203093/html/wp-content/plugins/woocommerce/includes/data-stores/abstract-wc-order-data-store-cpt.php:86 Stack trace: #0 /home/content/p3pnexwpnas06_data02/93/3203093/html/wp-content/plugins/woocommerce/includes/class-wc-data-store.php(143): Abstract_WC_Order_Data_Store_CPT->read(Object(WC_Order)) #1 /home/content/p3pnexwpnas06_data02/93/3203093/html/wp-content/plugins/woocommerce/includes/abstracts/abstract-wc-order.php(109): WC_Data_Store->read(Object(WC_Order)) #2 /home/content/p3pnexwpnas06_data02/93/3203093/html/wp-content/plugins/usps-stamps-woocommerce-shipping/includes/class-wf-shipping-stamps-admin.php(848): WC_Abstract_Order->__construct(‘152’) #3 /home/content/p3pnexwpnas06_data02/93/3203093/html/wp-content/plugins/usps-stamps-woocommerce-shipping/includes/class-wf-shipping-stamps-admin.php(98): WF_Shipping_Stamps_Admin->wf_load_order(‘152’) #4 [internal function]: WF_Shipping_Stamps_Admin->wf_add_ in /home/content/p3pnexwpnas06_data02/93/3203093/html/wp-content/plugins/woocommerce/includes/data-stores/abstract-wc-order-data-store-cpt.php on line 86

    @doncroy,

    It seems you are using a very older version of stamps premium plugin. Please update to latest version 1.8.2.

    Also, for any query about premium plugins, please contact out premium support team support@xadapter.com. As this is a free plugin support page, I will not be able to take queries for the paid plugin.

    I’ve taken over the upkeep of the site. Thanks for your help.

    @doncroy,

    Do let us know if you have any query. We will help you.

    Also, if you liked our support/plugin, you can rate us at the product page (review tab) – https://www.xadapter.com/product/woocommerce-stamps-com-shipping-plugin-with-usps-postage/
    This would be a huge encouragement for us.

    @niwf same problem here with not one, but three WF plugins. DHL, FedEx and USPS WooCommerce Shipping with Print Label. All of them. Any of these three will cause. What a Triple Threat.

Viewing 15 replies - 1 through 15 (of 22 total)
  • The topic ‘causing problem with WooCommerce 3.0’ is closed to new replies.